--- title: "Get bucket list" slug: "analytics-vpcsearchengine-import-getbucketlist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-import-getbucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get bucket list Available in VPC Get the list of Object Storage buckets that can import data. Note Check the permissions for a bucket based on the access key entered upon request. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/import/getBucketList/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/import/getBucketList/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/import/getBucketList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/import/getBucketList/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.bucketList` | Array | - | Bucket list: [bucketList](/docs/en/analytics-vpcsearchengine-import-getbucketlist#bucketList) | | `requestId` | String | - | ID for the request - UUID format | #### `bucketList` The following describes `bucketList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Bucket name | | `bytesUsed` | Integer | - | Bucket size | | `objectCount` | Integer | - | Number of objects | | `creationTime` | Integer | - | Bucket creation date and time - Unix timestamp format | | `resourceId` | String | - | Bucket resource ID | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "bucketList": [ { "name": "bk.c", "bytesUsed": 12763741, "objectCount": 6, "creationTime": 1742888127098, "resourceId": "Bucket/bk.c/174288*******" }, ... { "name": "bk.ses.snapshot", "bytesUsed": 540095, "objectCount": 123, "creationTime": 1742520149085, "resourceId": "Bucket/bk.ses.snapshot/174252*******" }, ... ] }, "requestId": "e086393d-****-****-****-2aed3fb5b447" } ```